EpocEnginePlugin (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.EpocEnginePlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine
Class EpocEnginePlugin

    java.lang.Object
      Plugin
          com.nokia.carbide.cpp.epoc.engine.EpocEnginePlugin

    public class EpocEnginePlugin

extends Plugin

The main plugin class to be used in the desktop.

Field Summary
`static java.lang.String` | `EPOC_ENGINE_PLUGIN_ID`

Constructor Summary
`EpocEnginePlugin()` The constructor.

Method Summary
`static IModelProvider<IBldInfOwnedModel,IBldInfModel>` | `getBldInfModelProvider()` Get the provider that manages access to bld.inf files in the workspace.
`static IModelProvider<com.nokia.carbide.cpp.epoc.engine.model.bsf.IBSFOwnedModel,com.nokia.carbide.cpp.epoc.engine.model.bsf.IBSFModel>` | `getBSFModelProvider()` Get the provider that manages access to image (scalable icon) makefiles in the workspace.
`static EpocEnginePlugin` | `getDefault()` Returns the shared instance.
`static IModelProvider<IImageMakefileOwnedModel,IImageMakefileModel>` | `getImageMakefileModelProvider()` Get the provider that manages access to image (scalable icon) makefiles in the workspace.
`static IModelProvider<IMakefileOwnedModel,IMakefileModel>` | `getMakefileModelProvider()` Get the provider that manages access to ordinary makefiles in the workspace.
`static IModelProvider<IMMPOwnedModel,IMMPModel>` | `getMMPModelProvider()` Get the provider that manages access to MMP files in the workspace.
`static MultiResourceChangeListenerDispatcher` | `getMultiResourceChangeListenerDispatcher()` Get the dispatcher for resource change events handling multiple paths.
`static void` | `log(IStatus status)`
`static void` | `log(java.lang.Throwable thr, java.lang.String msg)`
`static java.lang.Object` | `runWithBldInfData(IPath modelPath, IViewConfiguration viewConfiguration, IBldInfDataRunnable runnable)` Get a read-only copy of data for the given bld.inf view with the given configuration, and run user code using the model.
`static java.lang.Object` | `runWithBldInfView(IPath modelPath, IViewConfiguration viewConfiguration, IBldInfViewRunnable runnable)` Get a shared instance of the given MMP model, create a view with the given configuration, and run user code using the model.
`static java.lang.Object` | `runWithBSFView(IPath modelPath, IBSFViewRunnable runnable)` Get a shared instance of the given BSF model, create a view with the given configuration, and run user code using the model.
`static java.lang.Object` | `runWithImageMakefileData(IPath modelPath, IImageMakefileViewConfiguration viewConfiguration, IImageMakefileDataRunnable runnable)` Get a read-only copy of data for the given image makefile view with the given configuration, and run user code using the model.
`static java.lang.Object` | `runWithImageMakefileView(IPath modelPath, IImageMakefileViewConfiguration viewConfiguration, IImageMakefileViewRunnable runnable)` Get a shared instance of the given MMP model, create a view with the given configuration, and run user code using the model.
`static java.lang.Object` | `runWithMMPData(IPath modelPath, IMMPViewConfiguration viewConfiguration, IMMPDataRunnable runnable)` Get a read-only copy of data for the given MMP view with the given configuration, and run user code using the model.
`static java.lang.Object` | `runWithMMPView(IPath modelPath, IMMPViewConfiguration viewConfiguration, IMMPViewRunnable runnable)` Get a shared instance of the given MMP model, create a view with the given configuration, and run user code using the model.
`void` | `start(BundleContext context)` This method is called upon plug-in activation
`void` | `stop(BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPOC_ENGINE_PLUGIN_ID

    public static final java.lang.String EPOC_ENGINE_PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### EpocEnginePlugin

    public EpocEnginePlugin()

  The constructor.

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Throws:
    `java.lang.Exception`

### getDefault

    public static EpocEnginePlugin getDefault()

  Returns the shared instance.

### log

    public static void log(IStatus status)

### log

    public static void log(java.lang.Throwable thr,
                           java.lang.String msg)

### getMMPModelProvider

    public static IModelProvider<IMMPOwnedModel,IMMPModel> getMMPModelProvider()

  Get the provider that manages access to MMP files in the workspace.

### getBldInfModelProvider

    public static IModelProvider<IBldInfOwnedModel,IBldInfModel> getBldInfModelProvider()

  Get the provider that manages access to bld.inf files in the workspace.

  Returns:
    provider, never null

### getMakefileModelProvider

    public static IModelProvider<IMakefileOwnedModel,IMakefileModel> getMakefileModelProvider()

  Get the provider that manages access to ordinary makefiles in the workspace.

  Returns:
    provider, never null

### getImageMakefileModelProvider

    public static IModelProvider<IImageMakefileOwnedModel,IImageMakefileModel> getImageMakefileModelProvider()

  Get the provider that manages access to image (scalable icon) makefiles in the workspace.

  Returns:
    provider, never null

### getBSFModelProvider

    public static IModelProvider<com.nokia.carbide.cpp.epoc.engine.model.bsf.IBSFOwnedModel,com.nokia.carbide.cpp.epoc.engine.model.bsf.IBSFModel> getBSFModelProvider()

  Get the provider that manages access to image (scalable icon) makefiles in the workspace.

  Returns:
    provider, never null

### getMultiResourceChangeListenerDispatcher

    public static MultiResourceChangeListenerDispatcher getMultiResourceChangeListenerDispatcher()

  Get the dispatcher for resource change events handling multiple paths.

  Returns:
    dispatcher, never null

### runWithMMPView

    public static java.lang.Object runWithMMPView(IPath modelPath,
                                                  IMMPViewConfiguration viewConfiguration,
                                                  IMMPViewRunnable runnable)

  Get a shared instance of the given MMP model, create a view with the given configuration, and run user code using the model.

  The model and view are automatically released.

  If the model cannot be loaded or an exception is thrown, the runnable's #failedLoad() is called.

  Parameters:
    `modelPath` - workspace-relative path
    `viewConfiguration` - configuration for MMP (may not be null)
    `runnable` - the code to run when the model is loaded (or fails)
  Returns:
    result from runnable#run

### runWithBldInfView

    public static java.lang.Object runWithBldInfView(IPath modelPath,
                                                     IViewConfiguration viewConfiguration,
                                                     IBldInfViewRunnable runnable)

  Get a shared instance of the given MMP model, create a view with the given configuration, and run user code using the model.

  The model and view are automatically released.

  If the model cannot be loaded or an exception is thrown, the runnable's #failedLoad() is called.

  Parameters:
    `modelPath` - workspace-relative path
    `viewConfiguration` - configuration for bld.inf (may not be null)
    `runnable` - the code to run when the model is loaded (or fails)
  Returns:
    result from runnable#run

### runWithImageMakefileView

    public static java.lang.Object runWithImageMakefileView(IPath modelPath,
                                                            IImageMakefileViewConfiguration viewConfiguration,
                                                            IImageMakefileViewRunnable runnable)

  Get a shared instance of the given MMP model, create a view with the given configuration, and run user code using the model.

  The model and view are automatically released.

  If the model cannot be loaded or an exception is thrown, the runnable's #failedLoad() is called.

  Parameters:
    `modelPath` - workspace-relative path
    `viewConfiguration` - configuration for image makefile (may not be null)
    `runnable` - the code to run when the model is loaded (or fails)
  Returns:
    result from runnable#run

### runWithBSFView

    public static java.lang.Object runWithBSFView(IPath modelPath,
                                                  IBSFViewRunnable runnable)

  Get a shared instance of the given BSF model, create a view with the given configuration, and run user code using the model.

  The model and view are automatically released.

  If the model cannot be loaded or an exception is thrown, the runnable's #failedLoad() is called.

  Parameters:
    `modelPath` - workspace-relative path
    `runnable` - the code to run when the model is loaded (or fails)
  Returns:
    result from runnable#run

### runWithMMPData

    public static java.lang.Object runWithMMPData(IPath modelPath,
                                                  IMMPViewConfiguration viewConfiguration,
                                                  IMMPDataRunnable runnable)

  Get a read-only copy of data for the given MMP view with the given configuration, and run user code using the model.

  The data may be cached. It will throw exceptions if any attempts are made to modify the contents. #runWithMMPView() should be used if there is any need to modify the MMP.

  If the model cannot be loaded or an exception is thrown, the runnable's #failedLoad() is called.

  Parameters:
    `modelPath` - workspace-relative path
    `viewConfiguration` - configuration for MMP (may not be null)
    `runnable` - the code to run when the model is loaded (or fails)
  Returns:
    result from runnable#run

### runWithBldInfData

    public static java.lang.Object runWithBldInfData(IPath modelPath,
                                                     IViewConfiguration viewConfiguration,
                                                     IBldInfDataRunnable runnable)

  Get a read-only copy of data for the given bld.inf view with the given configuration, and run user code using the model.

  The data may be cached. It will throw exceptions if any attempts are made to modify the contents. #runWithBldInfView() should be used if there is any need to modify the bld.inf.

  If the model cannot be loaded or an exception is thrown, the runnable's #failedLoad() is called.

  Parameters:
    `modelPath` - workspace-relative path
    `viewConfiguration` - configuration for bld.inf (may not be null)
    `runnable` - the code to run when the model is loaded (or fails)
  Returns:
    result from runnable#run

### runWithImageMakefileData

    public static java.lang.Object runWithImageMakefileData(IPath modelPath,
                                                            IImageMakefileViewConfiguration viewConfiguration,
                                                            IImageMakefileDataRunnable runnable)

  Get a read-only copy of data for the given image makefile view with the given configuration, and run user code using the model.

  The data may be cached. It will throw exceptions if any attempts are made to modify the contents. #runWithImageMakefileView() should be used if there is any need to modify the bld.inf.

  If the model cannot be loaded or an exception is thrown, the runnable's #failedLoad() is called.

  Parameters:
    `modelPath` - workspace-relative path
    `viewConfiguration` - configuration for makefile (may not be null)
    `runnable` - the code to run when the model is loaded (or fails)
  Returns:
    result from runnable#run

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD